<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.PropertiesConfiguration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.PropertiesConfiguration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/class-use/PropertiesConfiguration.html" target="_top">Frames</a></li>
<li><a href="PropertiesConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.PropertiesConfiguration" class="title">Uses of Class<br>org.apache.commons.configuration2.PropertiesConfiguration</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.fluent">org.apache.commons.configuration2.builder.fluent</a></td>
<td class="colLast">
<div class="block">
 This package defines a fluent API for setting up fully configured configuration
 builders.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a> in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfigurationLayout.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html#load-org.apache.commons.configuration2.PropertiesConfiguration-java.io.Reader-">load</a></span>(<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&nbsp;config,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Reads a properties file and stores its internal structure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfigurationLayout.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html#save-org.apache.commons.configuration2.PropertiesConfiguration-java.io.Writer-">save</a></span>(<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&nbsp;config,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Writes the properties file to the given writer, preserving as much of its
 structure as possible.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.fluent">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a> in <a href="../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a> that return <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#properties-java.io.File-">properties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a <code>PropertiesConfiguration</code> instance from the content of
 the given file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#properties-java.lang.String-">properties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a <code>PropertiesConfiguration</code> instance from the content of
 the file identified by the given path.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#properties-java.net.URL-">properties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a <code>PropertiesConfiguration</code> instance from the content of
 the given URL.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a> that return types with arguments of type <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#propertiesBuilder-java.io.File-">propertiesBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a builder for a <code>PropertiesConfiguration</code> and initializes
 it with the given file to be loaded.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#propertiesBuilder-java.lang.String-">propertiesBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a builder for a <code>PropertiesConfiguration</code> and initializes
 it with the given path to the file to be loaded.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#propertiesBuilder-java.net.URL-">propertiesBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a builder for a <code>PropertiesConfiguration</code> and initializes
 it with the given URL to be loaded.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/class-use/PropertiesConfiguration.html" target="_top">Frames</a></li>
<li><a href="PropertiesConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
